<?php 
/*------------------------------------------------------------------------
;	<name>DPE_maison</name>
;	<creationDate>september 2013</creationDate>
;	<author>Laurent Jarry alias LJ01</author>
;	<copyright>Licence GNU/GPL - http://www.gnu.org/licenses/gpl-2.0.html</copyright>
;	<authorEmail>lau.jarry@free.fr</authorEmail>
;	<authorUrl>http://www.lj.cmoi.cc/</authorUrl>
;	<version>3.1</version>
;------------------------------------------------------------------------*/

define( 'DS', DIRECTORY_SEPARATOR );
$rootFolder = explode(DS,dirname(__FILE__));
   
//current level in diretoty structure
$currentfolderlevel = 3;
array_splice($rootFolder,-$currentfolderlevel);
$base_folder = implode(DS,$rootFolder);

if(is_dir($base_folder.DS.'libraries'.DS.'joomla'))   
	{
	   define( '_JEXEC', 1 );  
	   define('JPATH_BASE',implode(DS,$rootFolder));
	   
		require_once JPATH_BASE . '/includes/defines.php' ; 
		require_once JPATH_BASE . '/includes/framework.php' ;

	   $mainframe =& JFactory::getApplication('site');
	   $mainframe->initialise();
	}

//appel fichier language
$lang = JFactory::getLanguage();
$extension = 'mod_DPEmaison';
$base_dir = JPATH_SITE;
$language_tag = $lang->getTag();
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);

    $title = Jtext::_( 'MOD_DPE_MAISON_YOUR_ENERGY_TITLE' );
    $energie = Jtext::_( 'MOD_DPE_ENERGY' );  
    $climat = Jtext::_( 'MOD_DPE_CLIMAT' );               
    $footer = Jtext::_( 'MOD_DPE_FOOTER' );  
    $unit1 = Jtext::_( 'MOD_DPE_UNIT1' );
    $unit2 = Jtext::_( 'MOD_DPE_UNIT2' ); 

//appel des variable avec Jinput
$jinput = JFactory::getApplication()->input;            
    $adresse1 = $jinput->get('adresse1', '', 'STRING');
    $surface = $jinput->get('surface', '', 'INTEGER');
    $reskwh = $jinput->get('reskwh', '', 'FLOAT');
    $resco2 = $jinput->get('resco2', '', 'FLOAT');  
    $imagenrj = $jinput->get('imagenrj', '', 'STRING');
    $imageges = $jinput->get('imageges', '', 'STRING');
                                                     
//Related Content//  
require('./fpdf.php');
                   

class PDF extends FPDF {

//En-tete
function Header() {

	global $surface, $reskwh, $resco2, $adresse1, $title, $energie, $climat, $unit1, $unit2;

	//Logo
	$this->Image('../image/maisonetiquette.gif',10,8,20,0,'','');
  
	 $this->SetX(55);
	$this->SetFont('Arial','B',18);
	$this->SetTextColor(100);
	$str = utf8_decode($title);
	$this->Cell(110,10, ' '.$str.' ',0,1,'C');

    $this->SetX(60);
	$this->SetFont('Arial','B',12);
	$this->SetTextColor(100);
	$adresse1 = utf8_decode($adresse1);
	$this->Cell(100,10,$adresse1,0,1,'C');


    $this->SetXY(20,35);   
	$this->SetFont('Arial','B',18);
	$this->Cell(45,10, $energie ,0,1,'L');
    $this->SetXY(110,35); 
	$this->Cell(40,10, $climat ,0,1,'L');


	$this->SetDrawColor(128,0,0);
	$this->Line(60, 30, 160, 30);
	$this->Line(60, 20, 160, 20);
	
	$this->Line(5, 5, 205, 5);
	$this->Line(5, 5, 5, 145);
	$this->Line(5, 145, 205, 145);
	$this->Line(205, 5, 205, 145);   

                    
	$this->SetFont('Arial','B',12);
	$this->SetTextColor(100);
	$unit1 = utf8_decode($unit1);
	$unit2 = utf8_decode($unit2);
    $this->SetXY(25,115);
	$this->Cell(50,10, ' ' . round($reskwh,1) . ' '.$unit1.'    ',0,1,'C');
    $this->SetXY(117,115);  
  $this->Cell(50,10, '  ' . round($resco2,1) . ' '.	$unit2.'',0,1,'C');
	
	parent::Header();
}

//Pied de page
function Footer() {
         global $footer;
         
	//Positionnement � 1,5 cm du bas
	$this->SetY(-7);
	$this->SetX(17.5);

	//Police Arial italique 8
	$this->SetFont('Arial','I',8);
	$this->Line(10, 285, 200, 285);
	$this->Cell(0,0,$footer,0,0,'C');
}

function LabelDisplay() {

    global $imageges, $imagenrj;

//energie label   
      	  $this->Image('../image/nrj_'.$imagenrj.'.gif',20,45,85,0,'','');
	       
      
//climat label		
          $this->Image('../image/ges_'.$imageges.'.gif',110,45,85,0,'','');
	        
      	}
}
     
$pdf=new PDF('L','mm','A5');
$pdf->SetTitle('DPEmaison');
$pdf->SetAuthor('LJ01'); 
$pdf->SetLeftMargin(0);

$pdf->SetFont('Arial','',14);
$pdf->AddPage();
$pdf->LabelDisplay();

$pdf->Output();
?>
