<?php 
/*------------------------------------------------------------------------
;	<name>DPE_maison</name>
;	<creationDate>september 2013</creationDate>
;	<author>Laurent Jarry alias LJ01</author>
;	<copyright>Licence GNU/GPL - http://www.gnu.org/licenses/gpl-2.0.html</copyright>
;	<authorEmail>lau.jarry@free.fr</authorEmail>
;	<authorUrl>http://www.lj.cmoi.cc/</authorUrl>
;	<version>3.1</version>
;------------------------------------------------------------------------*/
       
define( 'DS', DIRECTORY_SEPARATOR );
$rootFolder = explode(DS,dirname(__FILE__));
   
//current level in diretoty structure
$currentfolderlevel = 3;
array_splice($rootFolder,-$currentfolderlevel);
$base_folder = implode(DS,$rootFolder);

if(is_dir($base_folder.DS.'libraries'.DS.'joomla'))   
	{
	   define( '_JEXEC', 1 );  
	   define('JPATH_BASE',implode(DS,$rootFolder));
	   
		require_once JPATH_BASE . '/includes/defines.php' ; 
		require_once JPATH_BASE . '/includes/framework.php' ;

	   $mainframe =& JFactory::getApplication('site');
	   $mainframe->initialise();
	}

//appel fichier language
$lang = JFactory::getLanguage();
$extension = 'mod_DPEmaison';
$base_dir = JPATH_SITE;
$language_tag = $lang->getTag();
$reload = true;
$lang->load($extension, $base_dir, $language_tag, $reload);

    $title = Jtext::_( 'MOD_FUN_TITLE' );
    $consos1 = Jtext::_( 'MOD_FUN_CONSOS1' );
    $consos2 = Jtext::_( 'MOD_FUN_CONSOS2' ); 
    $heat = Jtext::_( 'MOD_FUN_HEAT' );  
    $fresh = Jtext::_( 'MOD_FUN_FRESH' );   
    $consump = Jtext::_( 'MOD_FUN_CONSUMP' );   
    $estim = Jtext::_( 'MOD_FUN_ESTIM' );  
    $unit1 = Jtext::_( 'MOD_FUN_UNIT1' );
    $unit2 = Jtext::_( 'MOD_FUN_UNIT2' ); 
    $low1 = Jtext::_( 'MOD_FUN_LOW1' );  
    $height1 = Jtext::_( 'MOD_FUN_HEIGHT1' );
    $low2 = Jtext::_( 'MOD_FUN_LOW2' );  
    $height2 = Jtext::_( 'MOD_FUN_HEIGHT2' );   
    $footer = Jtext::_( 'MOD_FUN_FOOTER' );

//appel des variable avec Jinput
$jinput = JFactory::getApplication()->input;            
    $adresse1 = $jinput->get('adresse1', '', 'STRING');
    $surface = $jinput->get('surface', '', 'INTEGER');
    $reskwh = $jinput->get('reskwh', '', 'FLOAT');
    $resco2 = $jinput->get('resco2', '', 'FLOAT');  
    $imagenrj = $jinput->get('imagenrj', '', 'STRING');
    $imageges = $jinput->get('imageges', '', 'STRING'); 
    $dpeprix = $jinput->get('dpeprix', '', 'INTEGER');


require('./fpdf.php');

//label values
$b_label = trim($_POST['b_label']);
$c_label = trim($_POST['c_label']);
$d_label = trim($_POST['d_label']);
$e_label = trim($_POST['e_label']);
$f_label = trim($_POST['f_label']);
$g_label = trim($_POST['g_label']);

$bco2_label = trim($_POST['bco2_label']);
$cco2_label = trim($_POST['cco2_label']);
$dco2_label = trim($_POST['dco2_label']);
$eco2_label = trim($_POST['eco2_label']);
$fco2_label = trim($_POST['fco2_label']);
$gco2_label = trim($_POST['gco2_label']);

class PDF extends FPDF {

//En-tete
function Header() {

	global $surface, $reskwh, $resco2, $adresse1, $dpeprix, $title, $consos1, $heat, $fresh, $estim, $unit1, $unit2, $height1, $low1, $consos2, $consump, $height2, $low2;

//1er rectangle
	$this->SetFillColor(150,200,250);
	$this->Rect(2, 2, 145, 18, 'F');
		$this->SetFont('Arial','B',14);
		$this->SetTextColor(250);
		$this->Cell(150,2,''.$title.'  '.round($dpeprix,1).' Euro',0,1,'C');
		$this->SetFont('Arial','B',8);
		$adresse1 = utf8_decode($adresse1);
		$this->Cell(220,9,$adresse1,0,1,'C');
                             
//2è rectangle
	$this->SetFillColor(250,250,200);
	$this->Rect(2, 20, 145, 30, 'F');
		$this->SetFont('Arial','B',12);
		$this->SetTextColor(100);
		
		$this->SetXY(23,20);
		$consos1=utf8_decode($consos1);
		$this->Cell(30,9,$consos1,0,1,'C');
		$this->SetXY(95,20);
		$consos2=utf8_decode($consos2);
		$this->Cell(33,9,$consos2,0,1,'C');

		$this->SetTextColor(150);
		$heat=utf8_decode($heat);
		$this->Cell(155,9,$heat,0,1,'C');
		$fresh=utf8_decode($fresh);
		$this->Cell(155,9,$fresh,0,1,'C');
//3è rectangle
	$this->SetFillColor(200,200,150);
	$this->Rect(2, 50, 145, 20, 'F');
		$this->SetFont('Arial','B',12);
		$this->SetTextColor(100);

		$this->SetXY(5,50);
		$estim = utf8_decode($estim);
		$this->Cell(66,12, ''.$estim.'',0,1,'C');
		$this->SetXY(75,50);
		$consump = utf8_decode($consump);
		$this->Cell(70,12, ''.$consump.'',0,1,'C');

 		$unit1 = utf8_decode($unit1);	
		$unit2 = utf8_decode($unit2);
		$this->SetXY(10,60);
		$this->Cell(55,10, ''. round($reskwh,1).' '.$unit1.'',0,1,'C');
		$this->SetXY(75,60);                      
		$this->Cell(70,10, ''. round($resco2,1).' '.$unit2.'',0,1,'C');

//4è rectangle
	$this->SetFillColor(250,250,200);
	$this->Rect(2, 70, 145, 137, 'F');

	$this->SetXY(5,95);
	 $low1 = utf8_decode($low1);
	 $this->Cell(50,10, ''.$low1.'',0,1,'L');
	$this->SetXY(77,95);
	 $low2 = utf8_decode($low2);
	 $this->Cell(50,10, ''.$low2.'',0,1,'L');

	$this->SetXY(5,160);
	 $height1 = utf8_decode($height1);
	 $this->Cell(50,10, ''.$height1.'',0,1,'L');
	$this->SetXY(77,160);
	 $height2 = utf8_decode($height2);
	 $this->Cell(50,10, ''.$height2.'',0,1,'L');


//ligne verticale	
  $this->SetDrawColor(200);
  $this->SetLineWidth(1);
  $this->Line(75, 20, 75, 30); 
	$this->Line(75, 51, 75, 200);
	
	parent::Header();
}

//Pied de page
function Footer() {
      global $footer;

	//Positionnement � 1,5 cm du bas
	$this->SetY(-7);
	$this->SetX(17.5);

	//Police Arial italique 8
	$this->SetFont('Arial','I',8);
	$this->Line(10, 285, 200, 285);
	$this->Cell(0,0,''.$footer.'',0,0,'C');

}


function LabelDisplay() {

     global $imageges, $imagenrj;

//energie label   
      	  $this->Image('../image/nrj_'.$imagenrj.'.gif',5,105,70,0,'','');
                              	               
//climat label		
          $this->Image('../image/ges_'.$imageges.'.gif',77,105,70,0,'','');

      	}
}
     
$pdf=new PDF('P','mm','A5');
$pdf->SetTitle('DPEmaison');
$pdf->SetAuthor('LJ01'); 
$pdf->SetLeftMargin(0);

$pdf->SetFont('Arial','',14);
$pdf->AddPage();
$pdf->LabelDisplay();

$pdf->Output();
?>
